class autossh {
  package { "autossh":
    ensure => installed,
  }

  file { 
    "/etc/init.d/tunnel-autossh":
      owner   => root,
      group   => root,
      mode    => 755,
      require => Package["autossh"],
      content => template("autossh/tunnel-autossh.erb");
  }

 exec { "autossh_update_rcd":
      command => "update-rc.d tunnel-autossh start 18 2 3 4 5 . stop 81 0 1 6 .",
      creates => "/etc/rc2.d/S18tunnel-autossh",
      path => "/bin:/sbin:/usr/sbin:/usr/bin",
      require => [ Package["autossh"], File["/etc/init.d/tunnel-autossh"]],
   }
}
